TZSET(1)

NAME
tzset - Print POSIX-compatible timezone ID from current Windows timezone setting

SYNOPSIS

tzset [-h | -V]

OPTIONS

    Options:
      -h, --help               output usage information and exit.
      -V, --version            output version information and exit.

DESCRIPTION

Use tzset to set your TZ variable. In POSIX-compatible shells like bash, dash, mksh, or zsh:

    export TZ=$(tzset)

In csh-compatible shells like tcsh:

    setenv TZ `tzset`

The tzset tool reads the current timezone from Windows and generates a POSIX-compatible timezone information for the TZ environment variable from that information. That's all there is to it. For the way how to use it, see the above usage information.

COPYRIGHT

Copyright © Cygwin authors

Permission is granted to make and distribute verbatim copies of this documentation provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this documentation under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this documentation into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Free Software Foundation.